Bug 1469306 - OSP: when validating an account with access to many projects, it checks each, and times out
OSP: when validating an account with access to many projects, it checks each,...
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.9.0
Assigned To: Sam Lucidi
Ola Pavlenko
openstack
: TestOnly, ZStream
Depends On:
Blocks: 1476395 1470800
  Show dependency treegraph
 
Reported: 2017-07-10 18:50 EDT by Jeff Warnica
Modified: 2017-10-05 21:59 EDT (History)
11 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1470800 1476395 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack


Attachments (Terms of Use)

  None (edit)
Description Jeff Warnica 2017-07-10 18:50:13 EDT
Per summary, if one adds a new OSP provider (or changes creds on an existing one), and the provided user has access to many Projects, CFME attempts to log in to each of them.

The low level doesn't seem to fail, but the UI times out. This makes the provider configuration page unable to save.
Comment 3 Tzu-Mainn Chen 2017-07-11 09:13:21 EDT
Can you give a sense of how many projects the OSP provider has?
Comment 4 Jeff Warnica 2017-07-11 09:24:44 EDT
Client reports 173.
Comment 5 Sam Lucidi 2017-07-11 15:19:02 EDT
I've put together a patch that cuts out the numerous excessive requests to all the projects. This dramatically speeds up verification and should prevent the UI timeout. https://github.com/ManageIQ/manageiq-providers-openstack/pull/60
Comment 6 Sam Lucidi 2017-07-12 10:46:03 EDT
We discovered a problem that makes the solution in https://github.com/ManageIQ/manageiq-providers-openstack/pull/60 unsuitable. Mainn's got a better solution in https://github.com/ManageIQ/manageiq-providers-openstack/pull/62

Note You need to log in before you can comment on or make changes to this bug.